package com.jeeplus.modules.sg.balancedlibrary.replaceMaterial.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;
import com.jeeplus.modules.sys.entity.Office;

/**
 * 物料替换Entity
 * @author enford
 * @version 1.0
 */
public class ReplaceMaterial extends DataEntity<ReplaceMaterial> {
    /**
     * 物料编码
     */
    private String materialCode;
    /**
     * 物料描述
     */
    private String materialDescription;
    /**
     * 扩展编码
     */
    private String extendedCoding;
    /**
     * 扩展描述
     */
    private String extendedDescription;
    /**
     * 代替物料，替换列
     */
    private String subMaterial;
    /**
     * 物料编码-替换
     */
    private String materialCodeRep;
    /**
     * 物料描述-替换
     */
    private String materialDescriptionRep;
    /**
     * 扩展编码-替换
     */
    private String extendedCodingRep;
    /**
     * 扩展描述-替换
     */
    private String extendedDescriptionRep;

    @ExcelField(title = "物料编码", align = 2, sort = 1)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title = "物料描述", align = 2, sort = 2)
    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    @ExcelField(title = "扩展编码", align = 2, sort = 3)
    public String getExtendedCoding() {
        return extendedCoding;
    }

    public void setExtendedCoding(String extendedCoding) {
        this.extendedCoding = extendedCoding;
    }

    @ExcelField(title = "扩展描述", align = 2, sort = 4)
    public String getExtendedDescription() {
        return extendedDescription;
    }

    public void setExtendedDescription(String extendedDescription) {
        this.extendedDescription = extendedDescription;
    }

    @ExcelField(title = "代替物料（此列数据不读取）", align = 2, sort = 5)
    public String getSubMaterial() {
        return subMaterial;
    }

    public void setSubMaterial(String subMaterial) {
        this.subMaterial = subMaterial;
    }

    @ExcelField(title = "物料编码-替换", align = 2, sort = 6)
    public String getMaterialCodeRep() {
        return materialCodeRep;
    }

    public void setMaterialCodeRep(String materialCodeRep) {
        this.materialCodeRep = materialCodeRep;
    }

    @ExcelField(title = "物料描述-替换", align = 2, sort = 7)
    public String getMaterialDescriptionRep() {
        return materialDescriptionRep;
    }

    public void setMaterialDescriptionRep(String materialDescriptionRep) {
        this.materialDescriptionRep = materialDescriptionRep;
    }

    @ExcelField(title = "扩展编码-替换", align = 2, sort = 8)
    public String getExtendedCodingRep() {
        return extendedCodingRep;
    }

    public void setExtendedCodingRep(String extendedCodingRep) {
        this.extendedCodingRep = extendedCodingRep;
    }

    @ExcelField(title = "扩展描述-替换", align = 2, sort = 9)
    public String getExtendedDescriptionRep() {
        return extendedDescriptionRep;
    }

    public void setExtendedDescriptionRep(String extendedDescriptionRep) {
        this.extendedDescriptionRep = extendedDescriptionRep;
    }
}
